/* rexx */

signal on syntax
parse arg noname
say rxfuncadd("rxbase_dbfopen","rexxbase","Rexxbase_OpenDBF")
say rxfuncadd("rxbase_dbfread","rexxbase","Rexxbase_ReadDBF")
say rxfuncadd("rxbase_dbfclose","rexxbase","Rexxbase_CloseDBF")

say rxbase_dbfopen("noname")

do i = 1 to noname.fieldcount
k = "say noname.fieldname.i "
k = k || " noname."noname.fieldname.i".type"
k = k || " noname."noname.fieldname.i".length"
interpret k
end /* do */

say noname
do i = 1 to  noname.recordcount
   say record i  noname.recordstatus
   say reading is rxbase_dbfread("noname")
   do j = 1 to noname.fieldcount
          k =  "t = noname."noname.fieldname.j".type"
          interpret k
          if t = 'M' then  do
             k = "t = noname."noname.fieldname.j".0"
             interpret k
             do l = 1 to t
                  k = "say noname.fieldname.j " l " "
                   k = k || " is  noname." || noname.fieldname.j || ".l"
                  interpret k
           end /* do */
        end
        else do
                  k = "say noname.fieldname.j "
                  k = k || " is  noname." || noname.fieldname.j
                 interpret k
                end
  end /* do */
end /* do */


say closing
say rxbase_dbfclose("noname")
say dropping
say rxfuncdrop("rxbase_dbfopen")
say rxfuncdrop("rxbase_dbfread")
say rxfuncdrop("rxbase_dbfclose")
say exiting

return


syntax:
  errormsg = 'rexx error ' rc ' in line  ' sigl ':' errortext(rc)
  say errormsg
  say  sourceline(sigl)
exit
